Package io.vertx.mqtt.messages.codes

## Enum MqttPubCompReasonCode

- java.lang.Object
- - java.lang.Enum<MqttPubCompReasonCode>
  - - io.vertx.mqtt.messages.codes.MqttPubCompReasonCode

- All Implemented Interfaces:
    `MqttReasonCode`, `Serializable`, `Comparable<MqttPubCompReasonCode>`

      public enum MqttPubCompReasonCode
      extends Enum<MqttPubCompReasonCode>
      implements MqttReasonCode

  Reason codes for PUBCOMP MQTT message

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PACKET_IDENTIFIER_NOT_FOUND` |
    `SUCCESS` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte` | `value()` |
    `static MqttPubCompReasonCode` | `valueOf​(byte b)` | Returns the enum constant of this type with the specified name.
    `static MqttPubCompReasonCode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MqttPubCompReasonCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.mqtt.messages.codes.MqttReasonCode

      `isError`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final MqttPubCompReasonCode SUCCESS

    - #### PACKET_IDENTIFIER_NOT_FOUND

          public static final MqttPubCompReasonCode PACKET_IDENTIFIER_NOT_FOUND

  - ### Method Detail

    - #### values

          public static MqttPubCompReasonCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MqttPubCompReasonCode c : MqttPubCompReasonCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MqttPubCompReasonCode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public byte value()

      Specified by:
        `value` in interface `MqttReasonCode`

    - #### valueOf

          public static MqttPubCompReasonCode valueOf​(byte b)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `b` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null